"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ShellJS = require("shelljs");
const GitHubPlugin_1 = require("typedoc/dist/lib/converter/plugins/GitHubPlugin");
const base_path_1 = require("typedoc/dist/lib/converter/utils/base-path");
// Temporary kludge necessary as of typedoc 0.17.7
// This patches Typedoc to load the correct Github repository for generation of source code links
// See: https://github.com/TypeStrong/typedoc/pull/1318
GitHubPlugin_1.Repository.tryCreateRepository = function tryCreateRepository(path, gitRevision, gitRemote) {
    ShellJS.pushd(path);
    const out = ShellJS.exec('git rev-parse --show-toplevel', { silent: true });
    const remotesOutput = (ShellJS.exec(`git remote get-url ${gitRemote}`, { silent: true }));
    ShellJS.popd();
    if (!out || out.code !== 0) {
        return;
    }
    let remotes = remotesOutput.code === 0 ? remotesOutput.stdout.split('\n') : [];
    return new GitHubPlugin_1.Repository(base_path_1.BasePath.normalize(out.stdout.replace('\n', '')), gitRevision, remotes);
};
